# Poco::MongoDB

# class PooledConnection

Library: MongoDB
Package: MongoDB
Header: Poco/MongoDB/PoolableConnectionFactory.h

## Description

Helper class for borrowing and returning a connection automatically from a pool. Note that the connection pool is not expected to be deleted during the lifetime of an instance of PooledConnection.

## Member Summary

Member Functions: operator =

## Constructors

### PooledConnection

PooledConnection(
Poco::ObjectPool < Connection, Connection::Ptr > & pool
);

### PooledConnection

PooledConnection(
const PooledConnection & param396
) = delete;

### PooledConnection

PooledConnection(
PooledConnection && other
) = default;

## Destructor

### ~PooledConnection

virtual ~PooledConnection();

## Member Functions

### operator =

PooledConnection & operator = (
const PooledConnection & param397
) = delete;

### operator =

PooledConnection & operator = (
PooledConnection && param398
) = default;